/versions
A list of available skill taxonomy versions
GET /versions
GET /versionsVersion latest can be used as an alias to the latest skill version. See our Skills Taxonomy Changelog for the updates in each version.
Code Examples
curl --request GET \
--url https://api.lightcast.io/skills/versions \
--header 'accept: application/json' \
--header 'Authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": [
"7.7",
"7.6",
"7.5",
"7.4",
"7.3",
"7.2",
"7.1",
"7.0",
"6.16",
"6.15",
"6.14",
"6.13",
"6.12",
"6.11",
"6.10",
"6.9",
"6.8",
"6.7",
"6.6",
"6.5",
"6.4",
"6.3",
"6.2",
"6.1",
"6.0",
"5.1"
]
}/versions/{version}
Version specific metadata
GET /versions/{version_type}
GET /versions/{version_type}Get version specific metadata including available fields, types, skill counts and removed skill counts.
Path Parameters
| Name | Description |
|---|---|
versionstring | The skills taxonomy version. Example: latest |
Code Examples
curl --request GET \
--url https://api.lightcast.io/skills/versions/9.31 \
--header 'accept: application/json' \
--header 'Authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": {
"fields": [
"id",
"type",
"name",
"isSoftware",
"infoUrl",
"tags",
"isLanguage",
"description",
"descriptionSource",
"category",
"subcategory"
],
"removedSkillCount": 2626,
"skillCount": 35102,
"types": [
{
"description": "Removed skills are skills that were once part of the skill taxonomy, but have been removed or replaced.",
"id": "ST0",
"name": "Removed"
},
{
"description": "Skills that are primarily required within a subset of occupations or equip one to perform a specific task (e.g. \"NumPy\" or \"Hotel Management\"). Also known as technical skills or specialized skills.",
"id": "ST1",
"name": "Specialized Skill"
},
{
"description": "Skills that are prevalent across many different occupations and industries, including both personal attributes and learned skills. (e.g. \"Communication\" or \"Microsoft Excel\"). Also known as soft skills, human skills, and competencies.",
"id": "ST2",
"name": "Common Skill"
},
{
"description": "Certification skills are recognizable qualification standards assigned by industry or education bodies.",
"id": "ST3",
"name": "Certification"
}
],
"version": "8.0"
}
}{
"errors": [
{
"title": "URL not found",
"status": 404,
"detail": "Unrecognized version: 77"
}
]
}/versions/{version}/changes
Version specific changes
GET /versions/{version_type}/changes
GET /versions/{version_type}/changesGet version specific changes.
Path Parameters
| Name | Description |
|---|---|
versionstring | The skills taxonomy version. Example: latest |
Code Examples
curl --request GET \
--url https://api.lightcast.io/skills/versions/9.31/changes \
--header 'accept: application/json' \
--header 'Authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": {
"additions": [
{
"id": "ES3B707B10987CEDB0F3",
"name": "Orton Gillingham Approach",
"type": "Specialized Skill"
},
{
"id": "ESA0593C6A4367F5FA9E",
"name": "Genealogical Research",
"type": "Specialized Skill"
},
{
"id": "ESCE241EEE1129207719",
"name": "Criminal Defense Litigation",
"type": "Specialized Skill"
}
],
"consolidations": [],
"removals": [
{
"id": "KS124JX6QR808R28YCF3",
"name": "Guttae"
}
],
"renames": [],
"taggingImprovements": [
{
"id": "KS126V96CQ4MXDT7HRJM",
"name": "Soil Nailing"
}
],
"typeChanges": []
}
}
